/* -*-             c-basic-offset: 4; indent-tabs-mode: nil; -*-  //------100-columns-wide------>|*/
//for license please see accompanying LICENSE.txt file (available also at http://www.xmlpull.org/)
package org.xmlpull.infoset;

/**
 * Common abstraction to represent XML infoset item that are contained in other infoet items
 * This is useful so parent can be updated on contained items when container is cloned ...
 *
 * @version $Revision: 1.1 $
 * @author <a href="http://www.extreme.indiana.edu/~aslom/">Aleksander Slominski</a>
 */

public interface XmlContained
{
    
    //Object getPrent() -- requires covariant return to work both in
    ///   XmlElement (returns XmlContainer) and XmlComment (returns XmlContainer) ...
    public XmlContainer getParent();
    public void setParent(XmlContainer el);
    
}

